Subject: Re: [PATCH RFC net-next v1 0/9] ptp: dynamic pin control

From: Richard Cochran <[email-masked]>
Date: Mon, 10 Mar 2014 15:05:11 +0100

On Mon, Mar 10, 2014 at 12:52:57PM +0000, Sørensen, Stefan wrote:
> The implementation is limited to a single function for each pin - the
> dp83640 supports an ext_ts and several periodic outputs on the same pin,
> but I do not see that many real-world uses. 

So the main use case is to allow users to configure the auxiliary
functions according to their needs. This series provides this without
relying on DT, ACPI, etc. The sysfs control lets you put this into a
boot script, for example.

In addition, there are also less common use cases for re-configuring
pins at run time. One use would be to switch from a PPS output to a
time stamping input during automated PTP testing.

Thanks,
Richard